=== debian/changelog ===
oras (1.2.0-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 10:44:51 +1000

oras (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1073802)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 18 Jun 2024 23:52:27 +0530
