=== debian/control ===
Source: oras
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: admin
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-masterminds-sprig-dev,
               golang-github-containerd-console-dev,
               golang-github-morikuni-aec-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-golang-x-term-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-yaml.v3-dev,
               golang-oras-oras-go-dev (>= 2.5.0~)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/oras
Vcs-Git: https://salsa.debian.org/go-team/packages/oras.git
Homepage: https://github.com/oras-project/oras
Rules-Requires-Root: no
XS-Go-Import-Path: oras.land/oras

Package: oras
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: OCI registry cli tool managing content like artifacts, images, packages
 ORAS works similarly to tools you may already be familiar with, such as
 docker. It allows you to push (upload) and pull (download) things to and
 from an OCI Registry, and also handles login (authentication) and token
 flow (authorization). What ORAS does differently is shift the focus from
 container images to other types of artifacts.
 .
 ORAS is the de facto tool for working with OCI Artifacts. It treats
 media types as a critical piece of the puzzle. Container images are
 never assumed to be the artifact in question.
