## oras 1.2.3

=== debian/changelog ===
oras (1.2.3-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2 (no changes needed)
  * New upstream version 1.2.3
  * Update copyright year
  * switch to Static-Built-Using

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Aug 2025 19:03:59 +0530
