=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: oras
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: admin
 Testsuite: autopkgtest-pkg-go
@@ -20,7 +19,7 @@
                golang-golang-x-sync-dev,
                golang-gopkg-yaml.v3-dev,
                golang-oras-oras-go-dev (>= 2.5.0~)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/oras
 Vcs-Git: https://salsa.debian.org/go-team/packages/oras.git
 Homepage: https://github.com/oras-project/oras
@@ -31,7 +30,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: OCI registry cli tool managing content like artifacts, images, packages
  ORAS works similarly to tools you may already be familiar with, such as
  docker. It allows you to push (upload) and pull (download) things to and
