## oras 1.3.0

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,21 @@
 GIT_TAG     = $(shell git describe --tags --abbrev=0 --exact-match 2>/dev/null)
 GIT_DIRTY   = $(shell test -n "`git status --porcelain`" && echo "dirty" || echo "clean")
 GO_EXE      = go
+OSNAME      = $(shell uname -o)
+ARCHNAME    = $(shell uname -m)
 
-TARGET_OBJS ?= checksums.txt darwin_amd64.tar.gz darwin_arm64.tar.gz linux_amd64.tar.gz linux_arm64.tar.gz linux_armv7.tar.gz linux_s390x.tar.gz linux_ppc64le.tar.gz linux_riscv64.tar.gz windows_amd64.zip freebsd_amd64.tar.gz
+ifeq ($(OSNAME),Darwin)
+  OS = mac
+else
+  OS = linux
+endif
+ifeq ($(ARCHNAME),arm64)
+  ARCH = arm64
+else
+  ARCH = amd64
+endif
+
+TARGET_OBJS ?= checksums.txt darwin_amd64.tar.gz darwin_arm64.tar.gz linux_amd64.tar.gz linux_arm64.tar.gz linux_armv7.tar.gz linux_s390x.tar.gz linux_ppc64le.tar.gz linux_riscv64.tar.gz linux_loong64.tar.gz windows_amd64.zip freebsd_amd64.tar.gz
 
 LDFLAGS = -w
 ifdef VERSION
@@ -30,6 +43,10 @@
 endif
 LDFLAGS += -X $(PROJECT_PKG)/internal/version.GitCommit=${GIT_COMMIT}
 LDFLAGS += -X $(PROJECT_PKG)/internal/version.GitTreeState=${GIT_DIRTY}
+
+.PHONY: default
+default: test build-$(OS)-$(ARCH)
+	@echo 'Done ' build-$(OS)-$(ARCH)
 
 .PHONY: test
 test: tidy vendor check-encoding  ## tidy and run tests
@@ -51,7 +68,7 @@
 build: build-linux build-mac build-windows  ## build for all targets
 
 .PHONY: build-linux-all
-build-linux-all: build-linux-amd64 build-linux-arm64 build-linux-arm-v7 build-linux-s390x build-linux-ppc64le build-linux-riscv64 ## build all linux architectures
+build-linux-all: build-linux-amd64 build-linux-arm64 build-linux-arm-v7 build-linux-s390x build-linux-ppc64le build-linux-riscv64 build-linux-loong64 ## build all linux architectures
 
 .PHONY: build-linux
 build-linux: build-linux-amd64 build-linux-arm64
@@ -85,6 +102,11 @@
 build-linux-riscv64:  ## build for linux riscv64
 	GOARCH=riscv64 CGO_ENABLED=0 GOOS=linux $(GO_EXE) build -v --ldflags="$(LDFLAGS)" \
 		-o bin/linux/riscv64/$(CLI_EXE) $(CLI_PKG)
+
+.PHONY: build-linux-loong64
+build-linux-loong64:  ## build for linux loong64
+	GOARCH=loong64 CGO_ENABLED=0 GOOS=linux $(GO_EXE) build -v --ldflags="$(LDFLAGS)" \
+		-o bin/linux/loong64/$(CLI_EXE) $(CLI_PKG)
 
 .PHONY: build-mac
 build-mac: build-mac-arm64 build-mac-amd64  ## build all mac architectures
@@ -128,6 +150,10 @@
 fix-encoding:  ## fix file CR/LF encoding
 	find cmd internal -type f -name "*.go" -exec sed -i -e "s/\r//g" {} +
 
+.PHONY: lint
+lint:  ## run CI version of lint
+	golangci-lint run ./...
+
 .PHONY: tidy
 tidy:  ## go mod tidy
 	GO111MODULE=on $(GO_EXE) mod tidy
