=== debian/changelog ===
oras (1.3.0-1) unstable; urgency=medium

  * d/gbp.conf: Add upstream-branch field
  * New upstream version 1.3.0
  * Drop redundant "Rules-Requires-Root: no"
  * Tighten B-D on golang-oras-oras-go-dev

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Oct 2025 02:00:47 +0530
