=== debian/control ===
--- 
+++ 
@@ -18,12 +18,11 @@
                golang-golang-x-term-dev,
                golang-golang-x-sync-dev,
                golang-gopkg-yaml.v3-dev,
-               golang-oras-oras-go-dev (>= 2.5.0~)
+               golang-oras-oras-go-dev (>= 2.6.0~)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/oras
 Vcs-Git: https://salsa.debian.org/go-team/packages/oras.git
 Homepage: https://github.com/oras-project/oras
-Rules-Requires-Root: no
 XS-Go-Import-Path: oras.land/oras
 
 Package: oras
