=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := test/e2e

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags="-extldflags -s -w -X 'oras.land/oras/internal/version.BuildMetadata='"

override_dh_auto_install:
	dh_auto_install -- --no-source
